Add new public headers to the install targets.
authorRalph Giles <giles@mozilla.com>
Sun, 28 Aug 2011 10:02:16 +0000 (22:02 +1200)
committerJean-Marc Valin <jmvalin@jmvalin.ca>
Sun, 28 Aug 2011 19:23:15 +0000 (15:23 -0400)
The new opus_types.h header is required to build against libopus,
so must be installed alongside opus.h. Furthermore, opus-tools
expects access to the multichannel support in opus_multichannel.h.

Makefile.am

index 57fd64c..c6a2f84 100644 (file)
@@ -22,7 +22,7 @@ include opus_headers.txt
 
 libopus_la_SOURCES = $(CELT_SOURCES) $(SILK_SOURCES) $(OPUS_SOURCES)
 
-pkginclude_HEADERS = src/opus.h
+pkginclude_HEADERS = src/opus.h src/opus_multistream.h libcelt/opus_types.h
 
 noinst_HEADERS = $(OPUS_HEAD) $(SILK_HEAD) $(CELT_HEAD)